import request from '@/utils/request'

// 查询用户点赞列表
export function listUserMomentsLikes(query) {
  return request({
    url: '/service/userMomentsLikes/list',
    method: 'get',
    params: query
  })
}

// 查询用户点赞详细
export function getUserMomentsLikes(id) {
  return request({
    url: '/service/userMomentsLikes/' + id,
    method: 'get'
  })
}

// 新增用户点赞
export function addUserMomentsLikes(data) {
  return request({
    url: '/service/userMomentsLikes',
    method: 'post',
    data: data
  })
}

// 修改用户点赞
export function updateUserMomentsLikes(data) {
  return request({
    url: '/service/userMomentsLikes',
    method: 'put',
    data: data
  })
}

// 删除用户点赞
export function delUserMomentsLikes(id) {
  return request({
    url: '/service/userMomentsLikes/' + id,
    method: 'delete'
  })
}
